<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Reposition Method (IEdmImage)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmImage Interface : Reposition Method (IEdmImage)

Visual Basic
C#
C++/CLI

poDestRect
  EdmRect structure; size and position where to draw the image

eRefresh
  Type of refresh of the window as defined in EdmRepaintType

Changes the bounding rectangle where to draw the image.

# Syntax

Visual Basic |
--- | ---

    Sub Reposition( _
       ByRef poDestRect As EdmRect, _
       Optional ByVal eRefresh As EdmRepaintType _
    )

C# |
--- | ---

    void Reposition(
       ref EdmRect poDestRect,
       EdmRepaintType eRefresh
    )

C++/CLI |
--- | ---

    void Reposition(
    &   EdmRect% poDestRect,
    &   EdmRepaintType eRefresh
    )

#### Parameters

poDestRect
  EdmRect structure; size and position where to draw the image
eRefresh
  Type of refresh of the window as defined in EdmRepaintType

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmImage Interface
IEdmImage Members

# Availability

SOLIDWORKS PDM Professional 2013